#Maraschino

* **Author**: [Bradley Abrahams](https://github.com/mrkipling)

* **Main collaborators**: [Gustavo Hoirisch](https://github.com/gugahoi) and [David Gray](https://github.com/N3MIS15)

##What is Maraschino?

I wanted a simple web interface to act as a nice overview/front page for my XBMC HTPC. I couldn't find anything that suited my requirements so I created something myself.

You can find more information and setup instructions on the [project homepage](http://www.maraschinoproject.com/ "Maraschino Project homepage").

There is now also an [official forum](http://forums.maraschinoproject.com/) which is your best bet for support, feature requests and bug reports.

In addition, there's also a thread on the [XBMC forums](http://forum.xbmc.org/showthread.php?t=113136 "XBMC forums").

##Screenshots
<img src="http://www.maraschinoproject.com/static/images/screenshot1.jpg" width="400">&nbsp;&nbsp;<img src="http://www.maraschinoproject.com/static/images/screenshot2.jpg" width="400">

##What features does it have?

* **Customisable applications module** providing quick access to your web interfaces (e.g. SABnzb+, SickBeard, or whatever else you want to link to).

* **Recently added episodes/movies/albums modules** - click an episode or movie to play it in XBMC.

* **Media library browser** - browse your entire movie and TV library, and click to play in XBMC. Queue items to play after.

* **Control multiple XBMC servers** - do you have an XBMC server in both the living room and bedroom? Switch between the two instantly and control them using Maraschino. Send notification messages to them remotely!

* **SABnzbd+ and NZBGet modules** manage your nzb queue from within Maraschino - they appear when something is downloading and hide again when finished - shows you what is currently downloading, speed, time/MB remaining, and a progress bar. Control (pause, resume, speed limit) your downloads.

* **Usenet search** - search Usenet and add files directly to SABnzbd+ with the click of a button.

* **Currently playing bar** with play/pause/stop/volume controls, and a clickable seek bar.

* **trakt.tv shouts module** which shows you what people are saying about the episode or movie that you're watching, and allows you to add your own shouts (requires a free trakt.tv account).

* **trakt.tv plus module** - see what your friends are watching, and view personalised TV and movie recommendations based on your viewing history.

* **Sickbeard module** which allows you to browse upcoming episodes and manage Sickbeard directly from Maraschino (add new shows, search for episodes, etc.).

* **CouchPotato module** which allows you to browse upcoming movies and manage CouchPotato directly from Maraschino (add new movies, etc.).

* **Headphones module** which allows you to browse upcoming albums and manage Headphones directly from Maraschino (add new artists, search for albums, etc.).

* **Disk space module** showing you used/remaining space on your various drives.

* **uTorrent and Transmission modules** for the torrent users among you.

* **Weather module** for your local city, because why not!

* Full-screen background image which changes to the fanart of what you're currently watching (optional, can be turned off - but looks kinda pretty)

* Customisable from within the application itself - choose how many columns you want, add new modules, rearrange them using drag-and-drop, and modify their settings without touching any settings files!

Uses Flask and some other awesome technologies (SQL-Alchemy, LESS CSS) but you don't need to know about that if you don't want to.

##What license is it released under?

It is released under the MIT License, [which can be found here](https://github.com/mrkipling/maraschino/blob/master/LICENSE).

##Why is it called Maraschino?

If your HTPC is an ice cream sundae then Maraschino is the cherry on top.

<img src="http://www.maraschinoproject.com/static/images/maraschino_logo.png" width="71" height="79">